## org.apache.poi.hssf.record.formula
Class FuncVarPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperationPtg
              org.apache.poi.hssf.record.formula.AbstractFunctionPtg
                  org.apache.poi.hssf.record.formula.FuncVarPtg

public class FuncVarPtg
extends AbstractFunctionPtg

Author:
  Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` `sid`

Fields inherited from class org.apache.poi.hssf.record.formula.AbstractFunctionPtg
`ATTR_NAME, field_1_num_args, field_2_fnc_index, functionData, INDEX_EXTERNAL, paramClass, returnClass`

Fields inherited from class org.apache.poi.hssf.record.formula.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`FuncVarPtg(byte[] data, int offset)` Creates new function pointer from a byte array usually called while reading an excel file.
`FuncVarPtg(java.lang.String pName, byte pNumOperands)` Create a function ptg from a string tokenised by the parser

Method Summary
`java.lang.Object` `clone()`
`int` `getNumberOfOperands()` The number of operands expected by the operations
`int` `getSize()`
`java.lang.String` `toString()` Overridden toString method to ensure object hash is not printed.
`void` `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.AbstractFunctionPtg
`getDefaultOperandClass, getFunctionIndex, getName, getParameterClass, getType, lookupIndex, lookupName, toFormulaString, toFormulaString`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### FuncVarPtg

    public FuncVarPtg(byte[] data,
                      int offset)

  Creates new function pointer from a byte array usually called while reading an excel file.

### FuncVarPtg

    public FuncVarPtg(java.lang.String pName,
                      byte pNumOperands)

  Create a function ptg from a string tokenised by the parser

Method Detail

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `AbstractFunctionPtg`

### getNumberOfOperands

    public int getNumberOfOperands()

  Description copied from class: `OperationPtg`
  The number of operands expected by the operations

  Specified by:
    `getNumberOfOperands` in class `OperationPtg`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `AbstractFunctionPtg`

### toString

    public java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `AbstractFunctionPtg`

Copyright © 2003 Apache Software Foundation.